%define name	veejay
%define version	0.7.2
%define release 1mdk

%define major	0.7
%define libname %mklibname %name %major

#%define _requires_exceptions devel(libavcodec)

Name: 	 	%{name}
Summary: 	Video editor, mixer, and effector
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://veejay.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jpeg-devel libdv-devel jackit-devel libsamplerate-devel
BuildRequires:	XFree86-devel SDL-devel libdirectfb-devel libxml2-devel
BuildRequires:	nasm gtk-doc glib-devel freetype-devel

%description
Veejay is a live performance tool featuring non-linear editing and mixing from
multiple sources. You can load multiple video clips, cut and paste portions of
video/audio and save it as an EditList. Also, you can create video samples
from clips or tags from (live) streams.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Veejay is a live performance tool featuring non-linear editing and mixing from
multiple sources. You can load multiple video clips, cut and paste portions of
video/audio and save it as an EditList. Also, you can create video samples
from clips or tags from (live) streams.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure --with-dv=%_includedir/libdv/ --with-quicktime=%_includedir/quicktime/
%make
							
%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
#%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- 0.7.1
- major 0.7
- configure 2.5
- remove ffmpeg hacks
- update buildrequires

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 0.5.3-2mdk
- rebuild for libdv

* Fri Dec 12 2003 Austin Acton <austin@linux.ca> 0.5.3-1mdk
- initial package
